<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:38 UTC 2019 -->
<title>N-Index (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="N-Index (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a> <a href="index-2.html">B</a> <a href="index-3.html">C</a> <a href="index-4.html">D</a> <a href="index-5.html">E</a> <a href="index-6.html">F</a> <a href="index-7.html">G</a> <a href="index-8.html">H</a> <a href="index-9.html">I</a> <a href="index-10.html">K</a> <a href="index-11.html">L</a> <a href="index-12.html">M</a> <a href="index-13.html">N</a> <a href="index-14.html">O</a> <a href="index-15.html">P</a> <a href="index-16.html">R</a> <a href="index-17.html">S</a> <a href="index-18.html">T</a> <a href="index-19.html">U</a> <a href="index-20.html">V</a> <a href="index-21.html">W</a> <a href="index-22.html">Z</a> <a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.html#NATIONAL_PARK">NATIONAL_PARK</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalForest.html#NationalForest--">NationalForest()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalForest.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalForest</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalForestInfo.html#NationalForestInfo--">NationalForestInfo()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalForestInfo.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalForestInfo</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalGrassland.html#NationalGrassland--">NationalGrassland()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalGrassland.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalGrassland</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalGrasslandInfo.html#NationalGrasslandInfo--">NationalGrasslandInfo()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalGrasslandInfo.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalGrasslandInfo</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalHistoricPark.html#NationalHistoricPark--">NationalHistoricPark()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalHistoricPark.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalHistoricPark</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalHistoricParkInfo.html#NationalHistoricParkInfo--">NationalHistoricParkInfo()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalHistoricParkInfo.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalHistoricParkInfo</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalMilitaryPark.html#NationalMilitaryPark--">NationalMilitaryPark()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalMilitaryPark.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalMilitaryPark</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalPark.html#NationalPark--">NationalPark()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalPark.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalPark</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalParkInfo.html#NationalParkInfo--">NationalParkInfo()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalParkInfo.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalParkInfo</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalRecreationArea.html#NationalRecreationArea--">NationalRecreationArea()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalRecreationArea.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalRecreationArea</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalRecreationAreaInfo.html#NationalRecreationAreaInfo--">NationalRecreationAreaInfo()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalRecreationAreaInfo.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalRecreationAreaInfo</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalReserve.html#NationalReserve--">NationalReserve()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalReserve.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalReserve</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalStatePark.html#NationalStatePark--">NationalStatePark()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalStatePark.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalStatePark</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalStateParkInfo.html#NationalStateParkInfo--">NationalStateParkInfo()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalStateParkInfo.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalStateParkInfo</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalWildlifeRefuge.html#NationalWildlifeRefuge--">NationalWildlifeRefuge()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NationalWildlifeRefuge.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NationalWildlifeRefuge</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.html#NATIVE_RESERVATION">NATIVE_RESERVATION</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NativeReservation.html#NativeReservation--">NativeReservation()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NativeReservation.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NativeReservation</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NativeReservationInfo.html#NativeReservationInfo--">NativeReservationInfo()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NativeReservationInfo.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NativeReservationInfo</a></dt>
<dd> </dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">This class controls turn by turn navigation.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.AlternativeRoutesListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AlternativeRoutesListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>AlternativeRoutesListener</code> provides callback of alternative route updates from
 <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.AspectRatio.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AspectRatio</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">A measure of an image's aspect ratio which is w x h.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.AudioEvent.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AudioEvent</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Used for enabling/disabling audio events during navigation.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.AudioFeedbackListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AudioFeedbackListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>AudioFeedbackListener</code> provides callback of audio related events from
 <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.AudioPlayer.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.AudioPlayer</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd> </dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.Error.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.Error</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Navigation Manager Error</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.GpsSignalListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.GpsSignalListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>GpsSignalListener</code> provides callback of GPS signal related events from
 <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.LaneInformationListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.LaneInformationListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>LaneInformationListener</code> provides callback of <a href="../com/here/android/mpa/guidance/LaneInformation.html" title="class in com.here.android.mpa.guidance"><code>LaneInformation</code></a> related events
 from <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.ManeuverEventListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.ManeuverEventListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>ManeuverEventListener</code> provides callback of maneuver events from
 <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.MapUpdateMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.MapUpdateMode</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Map Update Mode</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.NaturalGuidanceMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NaturalGuidanceMode</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Enum used to turn on/off features within natural guidance.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.NavigationManagerEventListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NavigationManagerEventListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>NavigationManagerEventListener</code> provides callback of general navigation manager
 related events from <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.NavigationMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NavigationMode</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Possible Navigation Modes</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.NavigationState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NavigationState</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Possible states of navigation</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.NewInstructionEventListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.NewInstructionEventListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>NewInstructionEventListener</code> provides callback of new instruction events from
 <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.PositionListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.PositionListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>PositionListener</code> provides callback of position events from <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.RealisticViewListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RealisticViewListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>RealisticViewListenerAdapter</code> provides callback of realistic view related events from
 <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.RealisticViewMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RealisticViewMode</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Enum used to turn on/off realistic view (junction view and 2D signs).</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.RerouteListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RerouteListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>RerouteListener</code> provides callback of route re-calculation related events from
 <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.RoadView.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RoadView</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">This static class controls road view of turn by turn navigation.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.RoadView.Listener.html" title="interface in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RoadView.Listener</span></a> - Interface in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Interface to report RoadView events.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.RoadView.ListenerAdapter.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RoadView.ListenerAdapter</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">class and overload specific methods to have a smaller code footprint.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.RoadView.Orientation.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.RoadView.Orientation</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Used for setting the orientation when <a href="../com/here/android/mpa/guidance/NavigationManager.MapUpdateMode.html#ROADVIEW"><code>NavigationManager.MapUpdateMode.ROADVIEW</code></a> or
 <a href="../com/here/android/mpa/guidance/NavigationManager.MapUpdateMode.html#ROADVIEW_NOZOOM"><code>NavigationManager.MapUpdateMode.ROADVIEW_NOZOOM</code></a> is used.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.SafetySpotListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.SafetySpotListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>SafetySpotListener</code> provides callback of safety spot related events from
 <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.SpeedWarningListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.SpeedWarningListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block"><code>SpeedListener</code> provides callback of speed warning related events from
 <code>NavigationManager</code>.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.TrafficAvoidanceMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TrafficAvoidanceMode</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Specifies if traffic should be automatically avoided or not during navigation</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TrafficRerouteListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">This adapter class receives notifications from <code>NavigationManager</code> that indicates
 traffic re-routing events due to the use of different <a href="../com/here/android/mpa/guidance/NavigationManager.TrafficAvoidanceMode.html" title="enum in com.here.android.mpa.guidance"><code>NavigationManager.TrafficAvoidanceMode</code></a>s.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TrafficRerouteListener.TrafficEnabledRoutingState</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Enum used to describes the current route re-calculation due to traffic's status.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.TruckRestrictionListener.html" title="class in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TruckRestrictionListener</span></a> - Class in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Used to retrieve violated truck restrictions while navigating.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.TtsOutputFormat.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.TtsOutputFormat</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Used for specifying TTS output format in which the text should be generated.</div>
</dd>
<dt><a href="../com/here/android/mpa/guidance/NavigationManager.UnitSystem.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">NavigationManager.UnitSystem</span></a> - Enum in <a href="../com/here/android/mpa/guidance/package-summary.html">com.here.android.mpa.guidance</a></dt>
<dd>
<div class="block">Supported unit system types</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/guidance/NavigationManager.NavigationManagerEventListener.html#NavigationManagerEventListener--">NavigationManagerEventListener()</a></span> - Constructor for class com.here.android.mpa.guidance.<a href="../com/here/android/mpa/guidance/NavigationManager.NavigationManagerEventListener.html" title="class in com.here.android.mpa.guidance">NavigationManager.NavigationManagerEventListener</a></dt>
<dd> </dd>
<dt><a href="../com/here/android/mpa/search/NavigationPosition.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">NavigationPosition</span></a> - Class in <a href="../com/here/android/mpa/search/package-summary.html">com.here.android.mpa.search</a></dt>
<dd>
<div class="block">Represents a position that should be used when calculating routes for navigation.</div>
</dd>
<dt><a href="../com/here/android/mpa/urbanmobility/NearbyCoverageRequest.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">NearbyCoverageRequest</span></a> - Class in <a href="../com/here/android/mpa/urbanmobility/package-summary.html">com.here.android.mpa.urbanmobility</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
</dd>
<dt><a href="../com/here/android/mpa/urbanmobility/NearbyCoverageResult.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">NearbyCoverageResult</span></a> - Class in <a href="../com/here/android/mpa/urbanmobility/package-summary.html">com.here.android.mpa.urbanmobility</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.Neighborhood.html#Neighborhood--">Neighborhood()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.Neighborhood.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.Neighborhood</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.html#NEIGHBORHOOD_AREA">NEIGHBORHOOD_AREA</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NeighborhoodInfo.html#NeighborhoodInfo--">NeighborhoodInfo()</a></span> - Constructor for class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.NeighborhoodInfo.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.NeighborhoodInfo</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#NETWORK_COMMUNICATION">NETWORK_COMMUNICATION</a></span> - Static variable in class com.here.android.mpa.customlocation2.<a href="../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html" title="class in com.here.android.mpa.customlocation2">CLE2Request.CLE2Error</a></dt>
<dd>
<div class="block">There was a network communications error.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html#newDeleteLayersTask-java.util.List-com.here.android.mpa.customlocation2.CLE2DataManager.StorageType-">newDeleteLayersTask(List&lt;String&gt;, CLE2DataManager.StorageType)</a></span> - Method in class com.here.android.mpa.customlocation2.<a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html" title="class in com.here.android.mpa.customlocation2">CLE2DataManager</a></dt>
<dd>
<div class="block">Creates a task for deleting specified layers from the service or local storage.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html#newDownloadLayerTask-java.lang.String-">newDownloadLayerTask(String)</a></span> - Method in class com.here.android.mpa.customlocation2.<a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html" title="class in com.here.android.mpa.customlocation2">CLE2DataManager</a></dt>
<dd>
<div class="block">Creates a task for downloading a layer from CLE2 service and storing it in local storage.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html#newFetchLocalLayersTask-java.util.List-">newFetchLocalLayersTask(List&lt;String&gt;)</a></span> - Method in class com.here.android.mpa.customlocation2.<a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html" title="class in com.here.android.mpa.customlocation2">CLE2DataManager</a></dt>
<dd>
<div class="block">Creates a task for retrieving all geometries from specified locally stored layers.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html#newGeometryTask-com.here.android.mpa.customlocation2.CLE2DataManager.OperationType-java.lang.String-java.util.List-com.here.android.mpa.customlocation2.CLE2DataManager.StorageType-">newGeometryTask(CLE2DataManager.OperationType, String, List&lt;CLE2Geometry&gt;, CLE2DataManager.StorageType)</a></span> - Method in class com.here.android.mpa.customlocation2.<a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html" title="class in com.here.android.mpa.customlocation2">CLE2DataManager</a></dt>
<dd>
<div class="block">Creates a task for modifying CLE data.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/guidance/NavigationManager.NewInstructionEventListener.html#NewInstructionEventListener--">NewInstructionEventListener()</a></span> - Constructor for class com.here.android.mpa.guidance.<a href="../com/here/android/mpa/guidance/NavigationManager.NewInstructionEventListener.html" title="class in com.here.android.mpa.guidance">NavigationManager.NewInstructionEventListener</a></dt>
<dd> </dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html#newListLayersTask-com.here.android.mpa.customlocation2.CLE2DataManager.StorageType-">newListLayersTask(CLE2DataManager.StorageType)</a></span> - Method in class com.here.android.mpa.customlocation2.<a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html" title="class in com.here.android.mpa.customlocation2">CLE2DataManager</a></dt>
<dd>
<div class="block">Creates a CLE2 task for getting a list of available layers.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html#newPurgeLocalStorageTask--">newPurgeLocalStorageTask()</a></span> - Method in class com.here.android.mpa.customlocation2.<a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html" title="class in com.here.android.mpa.customlocation2">CLE2DataManager</a></dt>
<dd>
<div class="block">Creates a task for removing all data from local storage.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html#newUploadLayerTask-java.lang.String-java.util.List-">newUploadLayerTask(String, List&lt;CLE2Geometry&gt;)</a></span> - Method in class com.here.android.mpa.customlocation2.<a href="../com/here/android/mpa/customlocation2/CLE2DataManager.html" title="class in com.here.android.mpa.customlocation2">CLE2DataManager</a></dt>
<dd>
<div class="block">Creates a task for uploading a new layer into CLE service, creating a new layer with
 specified ID.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#NONE">NONE</a></span> - Static variable in class com.here.android.mpa.customlocation2.<a href="../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html" title="class in com.here.android.mpa.customlocation2">CLE2Request.CLE2Error</a></dt>
<dd>
<div class="block">No error was encountered.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.Scheme.html#NORMAL_DAY">NORMAL_DAY</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping">Map.Scheme</a></dt>
<dd>
<div class="block">Normal scheme presented in "day" colors.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.Scheme.html#NORMAL_DAY_GREY">NORMAL_DAY_GREY</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping">Map.Scheme</a></dt>
<dd>
<div class="block">Normal scheme presented in "day" colors that is suitable for use cases in which map still
 has a high relevance but is used as background for overlays (like venue maps).</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.Scheme.html#NORMAL_DAY_TRANSIT">NORMAL_DAY_TRANSIT</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping">Map.Scheme</a></dt>
<dd>
<div class="block">Normal scheme presented in "day" colors that is suitable for transit.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.Scheme.html#NORMAL_NIGHT">NORMAL_NIGHT</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping">Map.Scheme</a></dt>
<dd>
<div class="block">Normal scheme presented in "night" colors.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.Scheme.html#NORMAL_NIGHT_GREY">NORMAL_NIGHT_GREY</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping">Map.Scheme</a></dt>
<dd>
<div class="block">Normal scheme presented in "night" colors that is suitable for use cases in which map
 still has a high relevance but is used as background for overlays (like venue maps).</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.Scheme.html#NORMAL_NIGHT_TRANSIT">NORMAL_NIGHT_TRANSIT</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping">Map.Scheme</a></dt>
<dd>
<div class="block">Normal scheme presented in "night" colors that is suitable for transit.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.Scheme.html#NORMAL_TRAFFIC_DAY">NORMAL_TRAFFIC_DAY</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping">Map.Scheme</a></dt>
<dd>
<div class="block">Normal scheme presented in "day" colors that is suitable for traffic.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/Map.Scheme.html#NORMAL_TRAFFIC_NIGHT">NORMAL_TRAFFIC_NIGHT</a></span> - Static variable in class com.here.android.mpa.mapping.<a href="../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping">Map.Scheme</a></dt>
<dd>
<div class="block">Normal scheme presented in "night" colors that is suitable for traffic.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.ElevationMap.html#NUMHEIGHTS">NUMHEIGHTS</a></span> - Static variable in class com.here.android.mpa.mapping.customization.<a href="../com/here/android/mpa/mapping/customization/CustomizableVariables.ElevationMap.html" title="class in com.here.android.mpa.mapping.customization">CustomizableVariables.ElevationMap</a></dt>
<dd> </dd>
</dl>
<a href="index-1.html">A</a> <a href="index-2.html">B</a> <a href="index-3.html">C</a> <a href="index-4.html">D</a> <a href="index-5.html">E</a> <a href="index-6.html">F</a> <a href="index-7.html">G</a> <a href="index-8.html">H</a> <a href="index-9.html">I</a> <a href="index-10.html">K</a> <a href="index-11.html">L</a> <a href="index-12.html">M</a> <a href="index-13.html">N</a> <a href="index-14.html">O</a> <a href="index-15.html">P</a> <a href="index-16.html">R</a> <a href="index-17.html">S</a> <a href="index-18.html">T</a> <a href="index-19.html">U</a> <a href="index-20.html">V</a> <a href="index-21.html">W</a> <a href="index-22.html">Z</a> </div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
